Package com.microsoft.sqlserver.jdbc.dataclassification

## Class InformationType

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.InformationType

    public class InformationType
    extends java.lang.Object

This class retrieves Information Types as recieved from SQL Server for the active resultSet

### Constructor Summary

Constructors
`InformationType​(java.lang.String name, java.lang.String id)` Constructor for Information Type

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getId()` Retrieves ID for this `InformationType` object
`java.lang.String` `getName()` Retrieves Name of this `InformationType` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InformationType

    public InformationType​(java.lang.String name,
                           java.lang.String id)

Constructor for Information Type

Parameters:
  `name` - Name of Information Type
  `id` - ID of Information Type

### Method Detail

#### getName

    public java.lang.String getName()

Retrieves Name of this `InformationType` Object

Returns:
  Name of Information Type

#### getId

    public java.lang.String getId()

Retrieves ID for this `InformationType` object

Returns:
  ID of Information Type